MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029514Open CASCADE[OCCT] OCCT:Configurationpublic2018-02-16 16:532018-03-06 15:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSUbuntu 17.04OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version 
Summary0029514: Configuration, CMake - OpenGL ES should be available for Linux
DescriptionCurrent logic expects for using OpenGL ES and EGL:
- Android/iOS: unconditionally enabled.
  HAVE_GLES2 and HAVE_EGL are not needed to be defined by CMake (but linkage libraries should be set appropriately, using platform SDK).
- Windows, desktop: optional (disabled by default).
  Building environment should find 3rdparty implementation of GLESv2 and EGL (Angle project).
- Windows, UWP: unconditionally enabled.
  Building environment should find 3rdparty implementation of GLESv2 and EGL (Angle project).
- Linux: OpenGL ES cannot be selected.
# OpenGL ES 2.0
if (WIN32 AND CAN_USE_GLES2)
  if ("${CMAKE_SYSTEM_NAME}" STREQUAL "WindowsStore")
    set (USE_GLES2 ON)
  else()
    set (USE_GLES2 OFF CACHE BOOL "${USE_GLES2_DESCR}")
  endif()


The behavior on Linux is incorrect - modern systems provide GLESv2 and EGL, so OCCT can be optionally built with them as alternative to desktop OpenGL (GL library).

For this, CMake scripts should be adjusted (genproj already allows building with GLESv2 on Linux).

As further extension, it is desired including a dedicated Jenkins job, which would allow building OCCT with GLESv2 enabled on Linux system and execute tests on such configuration.
This can be done by introducing a new flag in standard testing job, so that this will be limited by weekly tests and optionally forced while testing branches containing changes in TKOpenGl toolkit.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028098newkgv Visualization - errors in tests when using OpenGL ES (ANGLE) 

-  Notes
(0074038)
git (administrator)
2018-02-19 12:25

Branch CR29514 has been created by apn.

SHA-1: 2e26837b4d850dd30edc0d2b6eb306cc0ed245b1


Detailed log of new commits:

Author: apn
Date: Mon Feb 19 12:24:55 2018 +0300

    0029514: Configuration, CMake - OpenGL ES should be available for Linux
    
    Allow optionally building OCCT with GLESv2 and EGL on Linux
(0074043)
apn (administrator)
2018-02-19 14:25

Opportunity for optional building of OCCT with GLESv2 and EGL on Linux was added to CR29514. All missing gles and egl dev packages were installed on work stations. Jenkins job with USE_GLES2 option and appropriate testing reference data will be created.
(0074044)
git (administrator)
2018-02-19 14:35

Branch CR29514 has been updated forcibly by apn.

SHA-1: f0eadb5198f28667988cce9228c540af622555dd
(0074055)
apn (administrator)
2018-02-19 19:45

Dear kgv, could you please review OCCT and PRODUCTS branches CR29514.
Testing results:
OCCT: http://occt-tests/IR-2018-02-16-APN-GLES-OCCT/Debian70-64/summary.html [^]
PRODUCTS: http://occt-tests/IR-2018-02-16-APN-GLES-Products/Debian70-64/summary.html [^]
(0074056)
kgv (developer)
2018-02-19 20:14

Patch looks OK, if tested.
(0074295)
git (administrator)
2018-03-06 15:50

Branch CR29514 has been deleted by kgv.

SHA-1: f0eadb5198f28667988cce9228c540af622555dd

- Related Changesets
occt: master 8bf738e6
Timestamp: 2018-02-19 09:24:55
Author: apn
Committer: bugmaster
Details ] Diff ]
0029514: Configuration, CMake - OpenGL ES should be available for Linux

Allow optionally building OCCT with GLESv2 and EGL on Linux
mod - adm/cmake/occt_csf.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-02-16 16:53 kgv New Issue
2018-02-16 16:53 kgv Assigned To => bugmaster
2018-02-16 16:53 kgv Assigned To bugmaster => apn
2018-02-16 16:53 kgv Status new => assigned
2018-02-16 16:53 kgv Relationship added related to 0028098
2018-02-19 12:25 git Note Added: 0074038
2018-02-19 14:25 apn Note Added: 0074043
2018-02-19 14:35 git Note Added: 0074044
2018-02-19 19:45 apn Test case number => Not needed
2018-02-19 19:45 apn Note Added: 0074055
2018-02-19 19:45 apn Assigned To apn => kgv
2018-02-19 19:45 apn Status assigned => resolved
2018-02-19 20:14 kgv Note Added: 0074056
2018-02-19 20:14 kgv Assigned To kgv => bugmaster
2018-02-19 20:14 kgv Status resolved => reviewed
2018-02-20 10:49 bugmaster Status reviewed => tested
2018-03-04 15:34 bugmaster Changeset attached => occt master 8bf738e6
2018-03-04 15:34 bugmaster Status tested => verified
2018-03-04 15:34 bugmaster Resolution open => fixed
2018-03-06 15:50 git Note Added: 0074295


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker